/**
 * PETALS - PETALS Services Platform. Copyright (c) 2007 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */
package org.ow2.petals.bc.mail;

import javax.xml.namespace.QName;

/**
 * @author Adrien LOUIS - EBMWebSourcing
 * @author Christophe HAMERLING (chamerling) - eBM WebSourcing
 * 
 */
public interface Constants {

    String SUBJECT_PATHELEMENT = "subject";

    String FROM_PATHELEMENT = "from";

    String REPLY_PATHELEMENT = "reply";

    String BODY_PATHELEMENT = "body";

    String MAIL_FROM_KEY = "mail.from";

    String MAIL_HOST_KEY = "mail.host";

    String MAIL_USER_KEY = "mail.user";

    String MAIL_STORE_PROTOCOL_KEY = "mail.store.protocol";

    String MAIL_SMTP_PORT_DEFAULT = "25";

    String MAIL_IMAP_PORT_DEFAULT = "143";

    String MAIL_POP3_PORT_DEFAULT = "110";

    String MAIL_SCHEME_SMTP = "smtp";

    String MAIL_SCHEME_IMAP = "imap";

    String MAIL_SCHEME_POP3 = "pop3";

    String MAIL_TRANSPORT_PROTOCOL_KEY = "mail.transport.protocol";

    String TO_PATHELEMENT = "to";

    String PERIOD_QUERYELEMENT = "period";

    String PERIOD_DEFAULT = "60000";

    String FOLDER_QUERYELEMENT = "folder";

    String FOLDER_DEFAULT = "INBOX";

    String QUERY_SEPARATOR = "&";

    String EXPUNGE_PATHELEMENT = "expunge";

    String SEND_MAIL_OPERATION = "send";
    
    /**
     * TODO should be retrieved from CDK
     * WS Addressing part
     */

    String WSA_NAMESPACE = "http://www.w3.org/2005/08/addressing";

    String WSA_TO = "To";

    String WSA_REPLY_TO = "ReplyTo";

    String WSA_FROM = "From";

    String WSA_FAULT_TO = "FaultTo";

    String WSA_ACTION = "Action";

    QName QNAME_WSA_TO = new QName(WSA_NAMESPACE, WSA_TO);

    QName QNAME_WSA_FROM = new QName(WSA_NAMESPACE, WSA_FROM);

    QName QNAME_WSA_REPLY_TO = new QName(WSA_NAMESPACE, WSA_REPLY_TO);
    
    QName QNAME_WSA_ACTION = new QName(WSA_NAMESPACE, WSA_ACTION);

    String SEND_MAIL_SERVICE_NS = "http://petals.ow2.org/components/mail/version-3.0";
    
}
